The LAS video_generation (Doubao-Seedance-1.x series) service is powered by the Seedance 1.x series models, providing you with the capabilities of a general-purpose video generation model.
tip
The camera revolves around the character at a medium distance. The character slowly turns around, and their gaze gradually follows the turning motion to look at the camera. Their gaze shifts fluidly, and the overall atmosphere is restrained and gentle. Caution: When generating the video, ensure the character's movements are slow, elegant, and smooth, embodying the aesthetic charm of traditional Peking Opera art.
Realistic style. Under a clear blue sky, a vast field of white daisies. The camera gradually zooms in, finally focusing on a close-up of a single daisy, with several sparkling dewdrops on its petals.
Model series | Supported models |
|---|---|
Seedance 1.x series models |
|
Functions |
Sub-items / parameters | Seedance 1.0 pro | Seedance 1.0 pro Fast |
|---|---|---|---|
Text-to-video |
| ✅ | ✅ |
Image-to-video | Image-to-video (first frame) | ✅ | ✅ |
Image-to-video (first and last frame) | ✅ | ❌ | |
Generate a video with audio |
| ❌ | ❌ |
Sample mode |
| ❌ | ❌ |
Subcategory | Performance impact description |
|---|---|
Maximum RPM | 600 |
Maximum concurrency | 10 |
Subcategory | Detailed requirements |
|---|---|
Input data modality |
tip When using different Seedance models, the supported input data modality capabilities are inconsistent. For details, see the "Model capabilities" section above. |
Input format: image |
|
Input path requirements | Provide input data to the operator via the request parameter
|
Subcategory | Detailed requirements |
|---|---|
Output data modality |
|
doubao-seedance-1-0-pro-250528 |
|
doubao-seedance-1-0-pro-fast-251015 |
|
Output path: API | After the operator completes processing, the generated video's pre-signed link is returned directly via the Poll interface, valid for 24h. |
tip
Estimated cost: Price calculator.
Billing item: Charges are calculated based on the token consumption generated by invoking the operator.
Unit price: Depends on the model type used by the operator.
Model | Billing scenario | Unit price |
|---|---|---|
doubao-seedance-1.0-pro | Inference service (output) | 15 CNY/million Tokens |
doubao-seedance-1.0-pro-fast | Inference service (output) | 4.2 CNY/million Tokens |
Details | Caution and prerequisites |
|---|---|
Costs | Before calling an operator, you need to understand the model invocation costs associated with using the operator. For details, see Large model invocation billing. |
Authentication (API Key) | Before calling an operator, you need to generate an API Key for operator invocation. It is recommended to configure the API Key as an environment variable to ensure safer operator calls. For details, see Obtain and configure API Key. |
BaseURL | Before calling an operator, you need to determine the BaseURL for operator invocation based on the region where your current LAS service is deployed. This is used to configure the path parameter values for operator calls. |
POST https://operator.las.ap-southeast-1.volces.com/api/v1/contents/generations/tasks
Invoke the seedance model to generate videos.
Parameter | Type | Example value | Description |
|---|---|---|---|
metadata | metadata | Request metadata. | |
data | SpatialPerceptionResult | Spatial Perception result returned when the task is successfully completed. |
Parameter | Type | Description |
|---|---|---|
id | string | Task ID, retained for only 7 days (calculated from the created at timestamp). It will be automatically deleted after timeout. |
curl --location "https://operator.las.cn-beijing.volces.com/api/v1/contents/generations/tasks" \ --header "Content-Type: application/json" \ --header "Authorization: Bearer $LAS_API_KEY" \ --data '{ "model": "doubao-seedance-1-0-pro-250528", "content": [ { "type": "text", "text": "" } ], "ratio": "16:9", "duration": 5, "watermark": false }'
{ "id": "cgt-20251125163544-qrj4f" }
GET https://operator.las.ap-southeast-1.volces.com/api/v1/contents/generations/tasks/{id}
Query the status of the video generation task.
Parameter | Type | Required | Example value | Description |
|---|---|---|---|---|
id | string | Yes | cgt-2025******-**** | The ID of the video generation task you need to query. |
Parameter | Type | Example value | Description |
|---|---|---|---|
id | string | cgt-2025******-**** | Video generation task ID |
model | string | Model name and version used for the task, model name-version | |
status | string | succeeded | Model status and related information:
|
error | error | Error message. Returns null if the task succeeds; returns error data if the task fails. For detailed error information, see Error code error code. | |
code | string | Error code. | |
message | string | Error message. | |
created_at | integer | 1764059744 | Creation time |
updated_at | integer | 1764059744 | Update time |
content | content | Output content of the video generation task. | |
video_url | string | URL of the generated video, in mp4 format. To ensure information security, the generated video will be deleted after 24 hours. Please save it promptly. | |
last_frame_url | string | URL of the last frame image of the video. Valid for 24 hours. Please save it promptly. Note: Create video generation task When "return_last_frame": true is set, this parameter will be returned. | |
file_url | string | Video generation result file URL (such as flv and other non-mp4 formats). | |
seed | integer | 1345 | Seed integer value used for this request. |
resolution | string | 1080p | Resolution of the generated video. |
ratio | string | 9:16 | Aspect ratio of the generated video. |
duration | integer | 10 | Duration of the generated video, unit: seconds. Note: Only one of the parameters duration or frames will be returned. If frames is not specified when creating a video generation task, duration will be returned. |
frames | integer | Number of frames in the generated video. Note: Only one of the parameters duration or frames will be returned. If frames is specified when creating a video generation task, frames will be returned. | |
framespersecond | integer | 30 | Frame rate of the generated video. |
generate_audio | boolean | false | Whether the generated video contains audio synchronized with the visuals. Only Seedance 1.5 pro returns this parameter.
|
draft | boolean | false | Whether the generated video is a Draft video. Only Seedance 1.5 pro returns this parameter.
|
draft_task_id | string | Draft video task ID. When generating a formal video based on a Draft video, this parameter will be returned. | |
execution_expires_after | integer | Task timeout threshold, unit: seconds. | |
usage | token_usage | Video generation token usage | |
completion_tokens | integer | 13987 | Number of tokens in the output content. |
total_tokens | integer | 15000 | Total number of tokens consumed in this request. The video generation model does not count input tokens; input tokens are 0, so total_tokens = completion_tokens. |
curl --location "https://operator.las.cn-beijing.volces.com/api/v1/contents/generations/tasks/cgt-xxxxxx" \ --header "Content-Type: application/json" \ --header "Authorization: Bearer $LAS_API_KEY"
{ "framesPerSecond": 24, "id": "cgt-20251119202422-jcfm2", "model": "doubao-seedance-1-0-pro-250528", "status": "succeeded", "content": { "video_url": "https://ark-content-generation-cn-beijing.tos-cn-beijing.volces.com/xxx.mp4", "last_frame_url": "https://ark-content-generation-cn-beijing.tos-cn-beijing.volces.com/xxx.png", "file_url": null }, "usage": { "completion_tokens": 295800 }, "frames": 145, "framespersecond": 24, "created_at": 1763555062, "updated_at": 1763555155, "seed": 655, "ratio": "9:16", "resolution": "1080p" }
HttpCode | Error code | Error message | Note |
|---|---|---|---|
401 | ApiKey.Invalid | The api key is invalid. | API is not valid |